Bug 343741 - Review Request: sugar-base - Base Sugar library
Review Request: sugar-base - Base Sugar library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-20 06:32 EDT by Marco Pesenti Gritti
Modified: 2010-06-11 00:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-07 11:00:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2007-10-20 06:32:30 EDT
Spec URL: http://dev.laptop.org/~marco/sugar-base.spec
SRPM URL: http://dev.laptop.org/~marco/sugar-base-0.1-0.3.20071016git7364e0078e.src.rpm
Description: The base libary for Sugar, the user interface of the One Laptop Per
Child project. It provides helpers for the development of services and
activities.
Comment 1 Jason Tibbitts 2007-10-22 18:18:33 EDT
There is very little chance that anyone will review this if fedora-review is set
to '?' which means 'review in progress'.  It won't show on the review tracker
page.  Could you set it to ' ' unless you have some other reason for it to be
set the way it is?
Comment 2 Marco Pesenti Gritti 2007-10-22 18:22:34 EDT
Ooops got confused by the meaning of ? in other bug systems... Thanks for
letting me now!
Comment 3 Marco Pesenti Gritti 2007-10-30 17:22:26 EDT
I updated spec and srpm to actually build in koji (they are at the same url).
Comment 4 Dennis Gilmore 2007-10-31 14:46:18 EDT
you dont need 

BuildRequires: pkgconfig

any devel package that provides .pc files must Requires it 

some documentation would be nice.

Its the only thing rpmlint complains about.

builds in mock

fix the BuildRequires and i will approve the package.
Comment 5 Marco Pesenti Gritti 2007-10-31 20:34:10 EDT
Removed the unnecessary buildreq:

https://dev.laptop.org/~marco/sugar-base-0.1-0.4.20071016git7364e0078e.src.rpm
https://dev.laptop.org/~marco/sugar-base.spec

(I'll add documentation with the next git snapshot)
Comment 6 Dennis Gilmore 2007-10-31 21:06:31 EDT
looks good now.

Approved.
Comment 7 Marco Pesenti Gritti 2007-10-31 21:27:03 EDT
New Package CVS Request
=======================
Package Name: sugar-base
Short Description: Base Sugar library
Owners: mpg
Branches: OLPC-2
InitialCC: mpg
Cvsextras Commits: no
Comment 8 Dennis Gilmore 2007-11-01 02:14:50 EDT
cvs done
Comment 9 Marco Pesenti Gritti 2008-11-03 12:15:22 EST
Package Change Request
======================
Package Name: sugar-base
New Branches: F-11
Comment 10 Dennis Gilmore 2008-11-03 13:58:08 EST
im assuming you mean F-10 

CVS done
Comment 11 Tomeu Vizoso 2008-11-12 06:00:51 EST
Package Change Request
======================
Package Name: sugar-base
New Branches: OLPC-4
Owners: mpg erikos tomeu
Comment 12 Kevin Fenzi 2008-11-12 11:54:18 EST
cvs done.
Comment 13 Peter Robinson 2010-06-10 16:49:18 EDT
Package Change Request
======================
Package Name: sugar-base
New Branches: EL-6
Owners: pbrobinson sdz
Comment 14 Kevin Fenzi 2010-06-11 00:32:14 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.